{{ $file := printf "%s%s%s" $.Site.Params.contentpath (string .File.Dir) (string "index.json") }}
{{ $data := getJSON $file }}
{{- $.Scratch.Set "counterimage" 0 -}}
{{ range $data := $data }}
    {{ if or (in $data.href ".jpg" ) (in $data.href ".png") (in $data.href ".jpeg") }}
      {{- $.Scratch.Set "counterimage" (add ($.Scratch.Get "counterimage") 1) -}}
    {{ end }}
{{ end }}
<li class="card">
  {{ $.Scratch.Set "imagepath" .File.Dir }}
  {{/* Find in the package the total number of documents */}}
  {{ range $index, $value:= where $.Site.Pages "Section" .Section }}
    {{- $path := printf "%s%s" $.Site.Params.contentpath (string .File.Dir) -}}
    {{- $.Scratch.Set "counteraudio" 0 -}}
    {{- $.Scratch.Set "counterdocument" 0 -}}
    {{- $.Scratch.Set "counterepub" 0 -}}
    {{- $.Scratch.Set "countervideo" 0 -}}
    {{- $.Scratch.Set "pathimage" "" -}}
    {{- range (readDir $path) -}}
      {{- if (in .Name ".mp3") -}}
        {{- $.Scratch.Set "counteraudio" (add ($.Scratch.Get "counteraudio") 1) -}}
      {{- end -}}
      {{- if or (in .Name ".pdf") (in .Name ".doc") (in .Name "epub" ) -}}
        {{- $.Scratch.Set "counterdocument" (add ($.Scratch.Get "counterdocument") 1) -}}
      {{- end -}}
      {{- if in .Name "epub" -}}
        {{- $.Scratch.Set "counterepub" (add ($.Scratch.Get "counterepub") 1) -}}
      {{- end -}}
      {{- if or (in .Name ".mp4") (in .Name ".mkv") (in .Name ".avi") -}}
        {{- $.Scratch.Set "countervideo" (add ($.Scratch.Get "countervideo") 1) -}}
      {{- end -}}
      {{- if or (in .Name ".jpg") (in .Name ".png") (in .Name ".jpeg") -}}
        {{- $.Scratch.Set "pathimage" (printf "%s%s" $path .Name) -}}
      {{- end -}}
    {{- end -}}
  {{- end -}}
  
  {{- if and (gt ($.Scratch.Get "counteraudio") 0) (eq ($.Scratch.Get "pathimage") "") -}}
    {{- $.Scratch.Set "pathimage" ("/assets/logo/sound.png") -}}
  {{- end -}}
  {{- if and (gt ($.Scratch.Get "counterepub") 0) (eq ($.Scratch.Get "pathimage") "") -}}
    {{- $.Scratch.Set "pathimage" ("/assets/logo/image.png") -}}
  {{- end -}}
  <figure><a href="{{ .RelPermalink }}"><img src="{{ $.Scratch.Get "pathimage" }}"></a></figure>
  <div class="meta-content">
    {{/*  <time>{{ .Date.Format (.Site.Params.dateFormat | default "Monday, Jan 2, 2006") }}</time>  */}}
    <h3><a href="{{ .RelPermalink }}">{{ .Title }}</a></h3>
    <ul class="nav nav-inline meta-document">
        <li><img src="/assets/svg/picto-audio.svg" /><span class="tooltip" aria-label='{{ i18n "assets-audio" }}'>{{ $.Scratch.Get "counteraudio" }}</span></li>
        <li><img src="/assets/svg/picto-document.svg" /><span class="tooltip" aria-label='{{ i18n "assets-documents" }}'>{{ $.Scratch.Get "counterdocument" }}</span></li>
        <li><img src="/assets/svg/picto-video.svg" /><span class="tooltip" aria-label='{{ i18n "assets-videos" }}'>{{ $.Scratch.Get "countervideo" }}</span></li>
        <li><img src="/assets/svg/picto-image.svg" /><span class="tooltip" aria-label='{{ i18n "assets-videos" }}'>{{ $.Scratch.Get "counterimage" }}</span></li>
    </ul>
    {{- range .Params.tags -}}
    <a href="{{ $.Site.BaseURL }}tags/{{ . | urlize }}"><kbd class="item-tag">{{ . }}</kbd></a>
    {{- end -}}
  </div>
  <div class="meta-link">
    <a href="{{ .Permalink }}" data-i18n="link-access-content">{{ i18n "link-access-content" }}</a>
  </div>
</li>

